### File

`packages/eui/packages/components-next/src/lib/layout/eui-user-profile/user-profile.component.ts`

### Metadata

changeDetection | `ChangeDetectionStrategy.Default`
encapsulation | `ViewEncapsulation.None`
selector | `eui-user-profile`
styleUrls | `./_styles/_index.scss`
templateUrl | `./user-profile.component.html`

### Index

###### Properties
_euiUserProfileSizeS Public asServie isOnline
###### Methods
getCssClasses
###### Inputs
avatarUrl euiUserProfileSizeS hasWelcomeLabel impersonateLabel welcomeLabel
###### HostBindings
class
###### Accessors
euiUserProfileSizeS

### Constructor

`constructor(asServie: UxAppShellService)`
Parameters :
Name | Type | Optional
asServie | `UxAppShellService` | No

### Inputs

avatarUrl
Type : `string`

euiUserProfileSizeS

hasWelcomeLabel
Default value : `false`

impersonateLabel
Default value : `'impersonating'`

welcomeLabel
Default value : `'Welcome'`

### HostBindings

class
Type : `any`

### Methods

getCssClasses
`getCssClasses()`
Returns : `any`

### Properties

_euiUserProfileSizeS
Default value : `false`

Public asServie
Type : `UxAppShellService`

isOnline
Default value : `true`

### Accessors

euiUserProfileSizeS
set `euiUserProfileSizeS(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

# result-matching ""

# No results matching ""